         # File lib/protocols/smtpclient.rb, line 166
    166:                 def invoke_internal_error msg = "???"
    167:                         @return_values.elapsed_time = Time.now - @return_values.start_time
    168:                         @return_values.responder = @responder
    169:                         @return_values.code = 900
    170:                         @return_values.message = msg
    171:                         set_deferred_status :failed, @return_values
    172:                         send_data "QUIT\r\n"
    173:                         close_connection_after_writing
    174:                 end